#
# Conditional build:
%bcond_with	tests	# perform "make test"

%define		pdir	SGMLS
Summary:	SGMLS - postprocessing the output from the SGMLS and NSGMLS parsers
Summary(pl.UTF-8):	SGMLS - przetwarzanie wyjścia z analizatorów składni: SGMLS i NSGMLS
Name:		perl-SGMLS
Version:	1.03ii
Release:	15%{?tld}
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/SGMLS/SGMLSpm-%{version}.tar.gz
# Source0-md5:	5bcb197fd42e67d51c739b1414d514a7
URL:		http://search.cpan.org/dist/SGMLS-/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-SGMLSpm
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This distribution contains SGMLS.pm, a perl5 class library for parsing
the output from James Clark's SGMLS and NSGMLS parsers.

%description -l pl.UTF-8
Pakiet ten zawiera bibliotekę klas Perla 5 SGMLS.pm służącą do
przetwarzania wyjścia z analizatorów składniowych SGMLS i NSGMLS
Jamesa Clarka.

%prep
%setup -q -n SGMLSpm
mkdir -p lib/SGMLS
mv Output.pm Refs.pm skel.pl lib/SGMLS
mv SGMLS.pm lib
mv sgmlspl.pl sgmlspl
mv test-SGMLS.pl test.pl

%build
touch Makefile.PL
%{__perl} -MExtUtils::MakeMaker -wle 'WriteMakefile(NAME=>"SGMLS", EXE_FILES=>["sgmlspl"])' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README BUGS TODO DOC/*sgml DOC/*pl elisp
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/SGMLS.pm
%{perl_vendorlib}/SGMLS
%{_mandir}/man3/*
%changelog
* Sun Dec 03 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-SGMLS.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dcfd4c1
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> a729e42
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 31bbd2f
- release 15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4892e92
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7a573bb
- converted to UTF-8

* Sat Apr 23 2005 Mariusz Mazur <mmazur@pld-linux.org> f5a900e
- rel 14 for th

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4085f7c
- rel. 13

* Thu May 06 2004 ankry <ankry@pld-linux.org> 30d471e
- fixed perl-devel BR

* Fri Apr 30 2004 ankry <ankry@pld-linux.org> a28364c
- license fixed, tests added but disabled (they hang)

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> c0e3b08
- spaces -> tab

* Tue Aug 12 2003 ankry <ankry@pld-linux.org> 0fa675f
- cosmetics

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 632d292
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> fd6b27b
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Apr 30 2003 ankry <ankry@pld-linux.org> 3e5b6c5
- cosmetics, pl translation
- rel. 12

* Sun Apr 20 2003 ankry <ankry@pld-linux.org> 0bed732
- added obsolete for RH package

* Fri Apr 11 2003 radek <radek@pld-linux.org> d18ca89
- made the install process ,,perlish'' -- used MakeMaker
- provided informative summary/description
- BR: perl-devel instead of perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4633433
- should be ready for perl-5.8.0; release++

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 626176c
- massive attack: change CPAN URLs

* Sun Aug 11 2002 radek <radek@pld-linux.org> 493438c
- release up

* Fri Jul 19 2002 ankry <ankry@pld-linux.org> 250deec
- fixed man section
- new %%doc
- release 8

